Package: org.codehaus.groovy.ast.expr

## [Java] Class MapEntryExpression

- org.codehaus.groovy.ast.expr.MapEntryExpression

-     public class MapEntryExpression
      extends Expression

  Represents an entry inside a map expression such as `1 : 2` or `'foo' : 'bar'`.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MapEntryExpression(Expression keyExpression, Expression valueExpression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getKeyExpression()`
    `` | `public Expression` | `getValueExpression()`
    `` | `public void` | `setKeyExpression(Expression keyExpression)`
    `` | `public void` | `setValueExpression(Expression valueExpression)`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public MapEntryExpression(Expression keyExpression, Expression valueExpression)

  - ### Method Detail

    - #### public Expression getKeyExpression()

    - #### public Expression getValueExpression()

    - #### public void setKeyExpression(Expression keyExpression)

    - #### public void setValueExpression(Expression valueExpression)

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)